Create invoice
curl --request POST \
--url https://api.paylora.org/api/v1/invoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 100,
"token_address": "0x203fC64C12a51C48755Cf77CB63c2F0618657cFD",
"network": "ARB_SEPOLIA"
}
'import requests
url = "https://api.paylora.org/api/v1/invoice"
payload = {
"amount": 100,
"token_address": "0x203fC64C12a51C48755Cf77CB63c2F0618657cFD",
"network": "ARB_SEPOLIA"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 100,
token_address: '0x203fC64C12a51C48755Cf77CB63c2F0618657cFD',
network: 'ARB_SEPOLIA'
})
};
fetch('https://api.paylora.org/api/v1/invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uuid": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"user_uuid": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"status": "created",
"amount": 100,
"fee_amount": 5,
"token_address": "0xAbC123...",
"contract_address": "0xDeF456...",
"network": "ethereum",
"client": "0xDeF456...",
"hash": "0xHash123...",
"signature": "0xHash123...",
"message_id": "12345",
"channel_uuid": "12345",
"customer_id": "123456789",
"chain_id": 11155111,
"url": "app.paylora.org/checkout=token",
"fee_bps": "0xDeF456..."
}
}{
"statusCode": 400,
"message": [
"[value] is not valid"
]
}{
"statusCode": 401,
"message": "Invalid signature | jwt must be provided"
}{
"statusCode": 403,
"message": "Only [admin, customer] has access"
}{
"statusCode": 404,
"message": "Resource Not Found"
}{
"statusCode": 409,
"message": "Resource with unique value (email, name etc) already exist"
}{
"statusCode": 429,
"message": "Too Many Requests"
}{
"statusCode": 500,
"message": "Sever error message"
}Invoice
Create invoice
Create invoice. Permissions [“customer”]
POST
/
api
/
v1
/
invoice
Create invoice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

